︠2ba3b9ea-3d16-415f-9f63-9e5561681130i︠
%html
<h3>Question1.80</h3>
<p>Find an expression for the streamlines of the flow and sketch a few lines</p>

︡6aaa9c3e-6311-40ab-b873-62e180ef59f3︡{"html": "<h3>Question1.80</h3>\n<p>Find an expression for the streamlines of the flow and sketch a few lines</p>"}︡
︠75430d1a-1066-421c-ae14-647c638b7bfc︠
from pylab import *

theta = 0.5
cset = [-2,-1,0,1,2]

x = arange(-2.1,2.1,0.01)

clf()

for c in cset:
    y = tan(theta)*x + c
    plot(x,y,label='C='+str(c))

legend()
axis([-2,2,-2,2],)
grid()

savefig('1.80.png')
︡9b7aed38-d161-458c-b325-b2925882760b︡︡
︠6d080ba9-9dfb-40e0-9c2a-8480c6504ad1i︠
%html
<h3>Question 1.83</h3>
<p>Find the time-varing streamlines which pass though reference point (x0, y0)</p>

︡ffe271c1-0124-4220-b07f-57abfafb8bb6︡{"html": "<h3>Question 1.83</h3>\r\n<p>Find the time-varing streamlines which pass though reference point (x0, y0)</p>"}︡
︠154591b7-051b-4aad-9e48-39a402ce755d︠
from pylab import *

timeslot = [-0.4,-0.2,0,0.5,1.0]
x = arange(0,2.1,0.01)

clf()
for t in timeslot:
    y = x**(1+2*t)
    plot(x,y,label='t='+str(t)[0:4]+'s')
legend(loc='upper left')

axis([0,2,0,2])
xlabel(r'$x/x_0$')
ylabel(r'$y/y_0$')
grid()

savefig('1.83.png')
︡2171f444-544c-48f8-b889-71f630f8853f︡︡
︠0bf9ef82-3b22-4c7b-b203-9f9961d04aeai︠
%html
<hr />
<p><span style="color: black;">
<h3>Question 1.84</h3>
</span></p>
<p><span style="font-weight: normal;">Find the equation of the </span><span style="font-weight: normal;"><strong>pathline</strong></span><span style="font-weight: normal;"> which passes through the point (x0, y0)at t=0</span></p>

︡96800e17-f0fa-44ab-843c-c3b6bcff8cab︡{"html": "<hr />\r\n<p><span style=\"color: black;\">\r\n<h3>Question 1.84</h3>\r\n</span></p>\r\n<p><span style=\"font-weight: normal;\">Find the equation of the </span><span style=\"font-weight: normal;\"><strong>pathline</strong></span><span style=\"font-weight: normal;\"> which passes through the point (x0, y0)at t=0</span></p>"}︡
︠412bd46d-dad4-4588-90f0-de971e9fb4e2︠
# Scripts to plot the flow pathline in Question 1.84. Written by Aaron Zhang
# For MAE 3030 Fluid Mechanics, Department of Mechanical & Automation Engineering
# The Chinese University of Hong Kong

from pylab import *
y = arange(0.1,2,0.01)

x = exp(log(y)+log(y)*log(y))
clf()

plot(x,y)

axis([0,2,0,2])
xlabel(r'$x/x_0$')
ylabel(r'$y/y_0$')
grid()
savefig('1.84.png')
︡90c8831e-c5c4-44cd-a4b3-735f6b2ebebb︡︡
